DescriptorProtos.EnumOptionsOrBuilder
Date: 2017-07-08

com.google.protobuf

## Interface DescriptorProtos.EnumOptionsOrBuilder

- All Superinterfaces:
    GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.EnumOptions>, MessageLiteOrBuilder, MessageOrBuilder
  All Known Implementing Classes:
    DescriptorProtos.EnumOptions, DescriptorProtos.EnumOptions.Builder
  Enclosing class:
    DescriptorProtos

      public static interface DescriptorProtos.EnumOptionsOrBuilder
      extends GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.EnumOptions>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAllowAlias()` Set this option to true to allow mapping different tag names to the same value.
    `boolean` | `getDeprecated()` Is this enum deprecated? Depending on the target platform, this can emit Deprecated annotations for the enum, or it will be completely ignored; in the very least, this is a formalization for deprecating enums.
    `DescriptorProtos.UninterpretedOption` | `getUninterpretedOption(int index)` The parser stores options it doesn't recognize here.
    `int` | `getUninterpretedOptionCount()` The parser stores options it doesn't recognize here.
    `java.util.List<DescriptorProtos.UninterpretedOption>` | `getUninterpretedOptionList()` The parser stores options it doesn't recognize here.
    `DescriptorProtos.UninterpretedOptionOrBuilder` | `getUninterpretedOptionOrBuilder(int index)` The parser stores options it doesn't recognize here.
    `java.util.List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>` | `getUninterpretedOptionOrBuilderList()` The parser stores options it doesn't recognize here.
    `boolean` | `hasAllowAlias()` Set this option to true to allow mapping different tag names to the same value.
    `boolean` | `hasDeprecated()` Is this enum deprecated? Depending on the target platform, this can emit Deprecated annotations for the enum, or it will be completely ignored; in the very least, this is a formalization for deprecating enums.

    - ### Methods inherited from interface com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder

      `getDefaultInstanceForType, getExtension, getExtension, getExtension, getExtension, getExtension, getExtension, getExtensionCount, getExtensionCount, getExtensionCount, hasExtension, hasExtension, hasExtension`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasAllowAlias

          boolean hasAllowAlias()

           Set this option to true to allow mapping different tag names to the same
           value.

      `optional bool allow_alias = 2;`

    - #### getAllowAlias

          boolean getAllowAlias()

           Set this option to true to allow mapping different tag names to the same
           value.

      `optional bool allow_alias = 2;`

    - #### hasDeprecated

          boolean hasDeprecated()

           Is this enum deprecated?
           Depending on the target platform, this can emit Deprecated annotations
           for the enum, or it will be completely ignored; in the very least, this
           is a formalization for deprecating enums.

      `optional bool deprecated = 3 [default = false];`

    - #### getDeprecated

          boolean getDeprecated()

           Is this enum deprecated?
           Depending on the target platform, this can emit Deprecated annotations
           for the enum, or it will be completely ignored; in the very least, this
           is a formalization for deprecating enums.

      `optional bool deprecated = 3 [default = false];`

    - #### getUninterpretedOptionList

          java.util.List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### getUninterpretedOption

          DescriptorProtos.UninterpretedOption getUninterpretedOption(int index)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### getUninterpretedOptionCount

          int getUninterpretedOptionCount()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### getUninterpretedOptionOrBuilderList

          java.util.List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### getUninterpretedOptionOrBuilder

          DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder(int index)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`